//
//  detailViewController.swift
//  CalendarTest
//
//  Created by Don Rathwell May 26th 2016
//  Copyright © 2016 Don Rathwell. All rights reserved.
//

import Foundation
import UIKit
import EventKit

class DetailViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {

    @IBOutlet weak var tableViewT: UITableView!
    
    var dayEvents: [EKEvent] = []
    var badWolfImage = UIImage()
    var goodWolfImage = UIImage()
    

    override func viewDidLoad() {
        super.viewDidLoad()
        tableViewT?.delegate = self
        tableViewT?.dataSource = self
        
    }

    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int{
        var temp = 0
        
        if self.dayEvents.count == 0 {
            temp = 1
        }else{
            temp = self.dayEvents.count
        }
        
        return temp
    }

    func tableView(tableView: UITableView,
                   cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        
        let cell:UITableViewCell = UITableViewCell(style:UITableViewCellStyle.Subtitle, reuseIdentifier:"cell")
        
        if dayEvents.count == 0 {
                cell.textLabel!.text = "No Notes for this Day"
        
        }else{
        
            let event = self.dayEvents[indexPath.row]
            //print(event.hasNotes)
        
            if event.notes != nil {
                cell.detailTextLabel!.text = event.notes
            }else{
                cell.detailTextLabel!.text = "No Notes"
            }
            //cell.detailTextLabel!.text = event.title
            cell.textLabel!.text = String(event.startDate)
        
            if event.title == "success"{
                cell.imageView!.image = goodWolfImage
            }else{
                cell.imageView!.image = badWolfImage
            }
        }
        
        return cell
    }
}
